Bug 817251 - [abrt][a11y] libreoffice-core-3.4.5.2-12.fc16: controller::SlideSorterController::GetPageSelector killed by signal 11 (SIGSEGV)
[abrt][a11y] libreoffice-core-3.4.5.2-12.fc16: controller::SlideSorterControl...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:e16d58b99df77ebbfec7fe4473a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-28 05:57 EDT by Elder Souza
Modified: 2012-05-02 15:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-02 15:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: event_log (22.62 KB, text/plain)
2012-04-28 05:57 EDT, Elder Souza
no flags Details
File: backtrace (36.24 KB, text/plain)
2012-04-28 05:57 EDT, Elder Souza
no flags Details
File: maps (84.42 KB, text/plain)
2012-04-28 05:57 EDT, Elder Souza
no flags Details
File: dso_list (22.60 KB, text/plain)
2012-04-28 05:57 EDT, Elder Souza
no flags Details
File: build_ids (7.81 KB, text/plain)
2012-04-28 05:57 EDT, Elder Souza
no flags Details

  None (edit)
Description Elder Souza 2012-04-28 05:57:27 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/elder.souza/Dropbox/Unifacs2012/2012.1/ED%20-%20Estrutura%20de%20Dados/Aula3/Exercicio%202.doc --splash-pipe=7
crash_function: sd::slidesorter::controller::SlideSorterController::GetPageSelector
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.3.2-6.fc16.x86_64
pid:            5470
pwd:            /home/elder.souza
reason:         Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
time:           Sex 27 Abr 2012 18:45:23 BRT
uid:            1000
username:       elder.souza
xsession_errors: 

backtrace:      Text file, 37112 bytes
build_ids:      Text file, 7995 bytes
dso_list:       Text file, 23144 bytes
event_log:      Text file, 23163 bytes
maps:           Text file, 86442 bytes

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=6
:HOSTNAME=cyclops
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=5459
:GPG_AGENT_INFO=/tmp/keyring-zjcPyh/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=nautilus-2707-cyclops-libreoffice-2_TIME1046913
:HISTSIZE=1000
:XDG_SESSION_COOKIE=02f758292edc3710481bf6e600000011-1335562174.171514-562784857
:PT5HOME=/usr/local/PacketTracer5
:OLDPWD=/usr/lib64/libreoffice/program
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-zjcPyh
:QTINC=/usr/lib64/qt-3.3/include
:'IMSETTINGS_MODULE=X compose table'
:USER=elder.souza
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/server:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/amd64:/opt/ns-allinone-2.35/otcl-1.14:/opt/ns-allinone-2.35/lib:/usr/local/lib
:JAVA_BIN=/usr/java/jdk1.7.0_03/bin
:DESKTOP_AUTOSTART_ID=108a174cf2d3748b6e133556217441928800000023360026
:CCACHE_DIR=/var/cache/ccache
:TCL_LIBRARY=/opt/ns-allinone-2.35/tcl8.5.8/library:/usr/lib
:SSH_AUTH_SOCK=/tmp/keyring-zjcPyh/ssh
:USERNAME=elder.souza
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2336,unix/unix:/tmp/.ICE-unix/2336
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/libreoffice-writer.desktop
:MAIL=/var/spool/mail/elder.souza
:PATH=/opt/ns-allinone-2.35/bin:/opt/ns-allinone-2.35/tcl8.5.8/unix:/opt/ns-allinone-2.35/tk8.5.8/unix:/opt/ns-allinone-2.35/ns-2.35/:/opt/ns-allinone-2.35/nam-1.15/:/usr/java/jdk1.7.0_03/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/elder.souza/.local/bin:/home/elder.souza/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/elder.souza
:JAVA_HOME=/usr/java/jdk1.7.0_03
:XMODIFIERS=@im=none
:CCACHE_UMASK=002
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=2331
:LANG=pt_BR.utf8
:GDM_LANG=pt_BR.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/elder.souza
:XDG_SEAT=seat0
:SHLVL=1
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=elder.souza
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-nNq3MhF3Um,guid=1680d3ad482902604efa9d7c0000009f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/elder.souza
:DISPLAY=:0.0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-elder.souza-J5ER3y/database

smolt_data:
:
:
:Geral
:=================================
:UUID: 7627f2ee-60ab-4359-a29f-a91c98718322
:SO: Fedora release 16 (Verne)
:Nível de execução padrão: Unknown
:Idioma: pt_BR.utf8
:Plataforma: x86_64
:BogoMIPS: 4800.03
:Fabricante da CPU: GenuineIntel
:Modelo da CPU: Intel(R) Core(TM) i5 CPU       M 450  @ 2.40GHz
:Versão da CPU: 5
:Família da CPU: 6
:Modelo da CPU: 37
:Número de CPUs: 4
:Velocidade da CPU: 2400
:Memória do sistema: 3754
:Swap do sistema: 5791
:Fabricante: CCE
:Sistema: Capella & IbexPeak-M Chipset Not Applicable
:Fator de uso: Laptop
:Kernel: 3.3.2-6.fc16.x86_64
:SELinux habilitado: 0
:Politica do SELinux: targeted
:Modo de reforço do SELinux: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:32902:68) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6545:4098) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:6545:4098) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:6545:4098) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6545:4098) pci, None, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:15174:6545:4098) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(4332:33078:4332:33078) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:15164:6545:4098) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:6545:4098) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:6545:4098) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:32902:70) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:6545:4098) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15190:6545:22056) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4332:33137:4332:33137) pci, rtl8192se, NETWORK, RTL8191SEvA Wireless LAN Controller
:(32902:15156:6545:4098) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15180:6545:4098) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:
:
:Informações do sistema de arquivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_cyclops-lv_root / ext4 4096 4096 13092026 9145385 9014363 3276800 2893582 2893582
:/dev/sda2 /boot ext4 1024 1024 508745 408314 382714 128016 127737 127737
:/dev/mapper/vg_cyclops-lv_home /home ext4 4096 4096 50752913 48562874 46022126 12705792 12681224 12681224
:/dev/sda1 WITHHELD fuseblk 4096 4096 168979710 44482891 44482891 178160940 177949192 177949192
:

var_log_messages:
:Apr 27 18:38:01 cyclops kernel: [  666.538321] soffice.bin[4789]: segfault at 20 ip 00007fa995c380a0 sp 00007fff5fa5f398 error 4 in libsdlx.so[7fa9957d6000+5e4000]
:Apr 27 18:38:13 cyclops abrt[4916]: Saved core dump of pid 4789 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-04-27-18:38:01-4789 (201453568 bytes)
:Apr 27 18:45:23 cyclops kernel: [ 1107.101523] soffice.bin[5470]: segfault at 20 ip 00007f62b96e70a0 sp 00007fff267f9e08 error 4 in libsdlx.so[7f62b9285000+5e4000]
:Apr 27 18:45:28 cyclops abrt[5562]: Saved core dump of pid 5470 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-04-27-18:45:23-5470 (188870656 bytes)
Comment 1 Elder Souza 2012-04-28 05:57:39 EDT
Created attachment 580950 [details]
File: event_log
Comment 2 Elder Souza 2012-04-28 05:57:49 EDT
Created attachment 580951 [details]
File: backtrace
Comment 3 Elder Souza 2012-04-28 05:57:53 EDT
Created attachment 580952 [details]
File: maps
Comment 4 Elder Souza 2012-04-28 05:57:56 EDT
Created attachment 580953 [details]
File: dso_list
Comment 5 Elder Souza 2012-04-28 05:57:59 EDT
Created attachment 580954 [details]
File: build_ids
Comment 6 Caolan McNamara 2012-04-28 07:30:19 EDT
accessibility is enabled, which is the trigger for this.

controller::SlideSorterController::GetPageSelector (this=0x0)
Comment 7 Caolan McNamara 2012-04-28 08:32:22 EDT
can't quite see what's wrong from the backtrace alone. I can try enabling accessibility and playing around with impress.

Are you able to reproduce this ?, and if so in what way ?
Comment 8 Elder Souza 2012-04-29 07:57:33 EDT
Sorry Caolan, I can't... i was working and the libreoffice just crash then I send the buginfo.
Comment 9 Caolan McNamara 2012-05-02 15:41:04 EDT
a pity, can't reproduce this with trivial impress usage with a11y enabled

Note You need to log in before you can comment on or make changes to this bug.